Subject: Re: questions to RFC1695

From: "Lochum Christian (NTC/Dusseld)" <[email-masked]>
Date: Tue, 12 Jan 1999 13:44:00 +0200

Hello,

thanks for the fast answer.

see  my remarks below

Best regards

Christian van Lochum
 ----------
>From: Kaj Tesink
>To: Lochum Christian (NTC/Dusseld); AToMdiscus
>Subject: Re: questions to RFC1695
>Date: Mon, Jan 11, 1999 6:43PM
>
>Christian,
>
>the short answers:
>1) yes, the interpretation has changed
>2) i'm confused on the question
>see annotations below
>
>kaj
>
> ------------------------------------------
>
>At 01:45 PM 1/11/99 +0200, Lochum Christian (NTC/Dusseld) wrote:
>>Hello,
>>
>>I am SW designer and I have some questions regarding the interpretation of
>>the standard. I tryed to follow the archive, but even there I didn't find
>>the answer. I tryed to look at existing implementation and I even thought
>>they are wrong.
>>
>>It would be realy helpful, if you could find the time to answer these
>>questions.
>>So here are the question:
>>
>>1) Do I have to create an entry in the atmVplTable, before I can create an
>>entry in the atmVclTable with the same VPI value?
>>For example, if I want to terminate a single VCC, which is transported
>>inside a VPC, that also is terminated inside my node.
>>Do I have to create an entry at the atmVclTable and atmVplTable?
>>
>>In the Simple Times from august 1994 Volume 3, Number 2 Kaj Tesink wrote:
>>"This article illustrates [..] the configuration of a VCC between hostA
and
>>hostB through on ISS. It assumes that the underlying VPLs are
established."
>>
>>But in the new draft-ietf-atommib-atm1ng-06.txt it is defined:
>>
>> atmVplTable         OBJECT-TYPE
>>                    SYNTAX         SEQUENCE OF AtmVplEntry
>>                    MAX-ACCESS     not-accessible
>>                    STATUS         current
>>                    DESCRIPTION
>>                     "The Virtual Path Link (VPL) table.  A
>>                      bi-directional VPL is modeled as one entry
>>                      in this table. This table can be used for
>>                      PVCs, SVCs and Soft PVCs.
>>                      Entries are not present in this table for
>>	   the VPIs used by entries in the atmVclTable."
>>
>>                    ::= { atmMIBObjects 6}
>>
>>I think the interpretation has changed and I will only create an Entry for
>>the VCC.
>>Is this right?
>
>yes that is correct

Okay thank you.

>
>>
>>But, if you model it this way. How do you give the traffic params for the
>>VPL?
>
>you dont - it may be difficult to correlate separate traffic param sets for
a
>VCC and for the underlying VPL anyway. however, if you really want to do
>this then you would have to configure separate VPL and VCL entries.
>
>>
>>2) If an entry is created in the atmVplTable and it is not cross connected
>>is has an adminStatus, but if I later cross- connect this entry to another
>>Vpl the adminStatus vanishes.
>>But how is than the operStatus be invluenced. Should it follow the
>>adminStatus of the according atmVpCrossConnection?
>
>my confusion is perhaps the relationship with 1) (if any).
>if you use the VPL to support a VCL that is crossconnected in the next node
>you can not also start crossconnecting that VPL in the same node.
>

There is no relationship, sorry. I try to make it clearer.
As far as I understood the creation mechanism of the atmVplTable of the
RFC1695, the operator will create entries in this table for Vpls, that
terminate a Vpc and for Vpls, that are cross connected.
When he creates one entry he knows what he wants to do with it, but he can
not tell the table, therefor after creation the entries look equal, they
have an atmVplAdminStatus and no atmVplCrossConnectIdentifier. If the Vpl
represented by an entry is cross connected (used in the
atmVplCrossConnectTable), the atmVplAdminStatus vanishes and the
atmVplCrossConnectIdentifier pops up.

But the question is now, what is the value of the atmVplOperStatus?
Will it follow the atmVplCrossConnectAdminStatus? That means, if the
operator sets the atmVplCrossConnectAdminStatus to up and the node is
working and able to make it operational, will the
atmVpCrossConnectL2HOperStatus, atmVpCrossConnectH2LOperStatus and the
atmVplOperStatus of the cross connected Vpls go up?

Another question: Is it not allowed to use an atmVplTalbeEntry with an
atmVplAdminStatus = up in a cross connection, because putting the
atmVplAdminStatus to up means in my understanding, that the operator want to
terminate the Vpl and with this the Vpc?

>
>>
>>Best regards
>>
>>Christian van Lochum
>>
>
>
>
>
>_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/
>
>Kaj Tesink
>Bellcore
>Email  [email-masked]
>Tel    732.758.5254
>Fax    732.758.2269
>Postal 331 Newman Springs Rd
>       Red Bank, NJ 07701
>       USA
>
>_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/
>
>